Bug 1568898 - capture tracebacks in some log file instead of dumping them on terminal
Summary: capture tracebacks in some log file instead of dumping them on terminal
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-colonizer
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ramakrishna Reddy Yekulla
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 12:02 UTC by Nag Pavan Chilakam
Modified: 2019-04-18 09:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 09:54:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/gluster gluster-colonizer issues 68 0 None None None 2018-11-20 04:42:11 UTC

Description Nag Pavan Chilakam 2018-04-18 12:02:40 UTC
Description of problem:
--------------
currently we are dumping tracebacks on screen when colonizer is run and fed with invalid options.
We must rather have them logged into a log file for better analysis and better experience.
I am raising a new bz as discussed in bug#1520928 ie in https://bugzilla.redhat.com/show_bug.cgi?id=1520928#c2


This issue can be seen either by steps mentioned in BZ#1520928 or BZ#1566403


Version-Release number of selected component (if applicable):
colonizer-1.1.2

How reproducible:
always

Comment 4 Ramakrishna Reddy Yekulla 2018-11-20 04:42:12 UTC
I have opened and upstream RFE for the same. There will be separation of the tracebacks and logging in the same issue.

Comment 5 Yaniv Kaul 2019-04-18 09:54:42 UTC
Closing all Colonizer BZs (as DEFERRED) as we do not intend to work on them for the time being.


Note You need to log in before you can comment on or make changes to this bug.